diff -cr pgsql_head/contrib/dblink/dblink.c pgsql_args/contrib/dblink/dblink.c
*** pgsql_head/contrib/dblink/dblink.c	2005-05-25 22:14:11.000000000 -0500
--- pgsql_args/contrib/dblink/dblink.c	2005-05-25 22:21:39.000000000 -0500
***************
*** 1971,1977 ****
  	Relation	rel;
  	Oid			relid;
  
! 	relvar = makeRangeVarFromNameList(textToQualifiedNameList(relname_text, "get_relid_from_relname"));
  	rel = heap_openrv(relvar, AccessShareLock);
  	relid = RelationGetRelid(rel);
  	relation_close(rel, AccessShareLock);
--- 1971,1977 ----
  	Relation	rel;
  	Oid			relid;
  
! 	relvar = makeRangeVarFromNameList(textToQualifiedNameList(relname_text));
  	rel = heap_openrv(relvar, AccessShareLock);
  	relid = RelationGetRelid(rel);
  	relation_close(rel, AccessShareLock);
diff -cr pgsql_head/contrib/dbsize/dbsize.c pgsql_args/contrib/dbsize/dbsize.c
*** pgsql_head/contrib/dbsize/dbsize.c	2005-05-25 22:14:12.000000000 -0500
--- pgsql_args/contrib/dbsize/dbsize.c	2005-05-25 22:22:15.000000000 -0500
***************
*** 290,297 ****
  	Oid			relnodeOid;
  	Oid         tblspcOid;
  
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(relname,
! 													   "relation_size"));
  	relation = relation_openrv(relrv, AccessShareLock);
  
  	tblspcOid  = relation->rd_rel->reltablespace;
--- 290,296 ----
  	Oid			relnodeOid;
  	Oid         tblspcOid;
  
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(relname));
  	relation = relation_openrv(relrv, AccessShareLock);
  
  	tblspcOid  = relation->rd_rel->reltablespace;
diff -cr pgsql_head/contrib/pgstattuple/pgstattuple.c pgsql_args/contrib/pgstattuple/pgstattuple.c
*** pgsql_head/contrib/pgstattuple/pgstattuple.c	2005-05-25 22:14:13.000000000 -0500
--- pgsql_args/contrib/pgstattuple/pgstattuple.c	2005-05-25 22:22:54.000000000 -0500
***************
*** 63,70 ****
  	Datum		result;
  
  	/* open relation */
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(relname,
! 														 "pgstattuple"));
  	rel = heap_openrv(relrv, AccessShareLock);
  
  	result = pgstattuple_real(rel);
--- 63,69 ----
  	Datum		result;
  
  	/* open relation */
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(relname));
  	rel = heap_openrv(relrv, AccessShareLock);
  
  	result = pgstattuple_real(rel);
diff -cr pgsql_head/src/backend/catalog/pg_conversion.c pgsql_args/src/backend/catalog/pg_conversion.c
*** pgsql_head/src/backend/catalog/pg_conversion.c	2005-05-25 22:17:33.000000000 -0500
--- pgsql_args/src/backend/catalog/pg_conversion.c	2005-05-25 22:24:10.000000000 -0500
***************
*** 298,304 ****
  	*(str + len) = '\0';
  
  	/* Look up the conversion name */
! 	parsed_name = textToQualifiedNameList(conv_name, "convert_using");
  	convoid = FindConversionByName(parsed_name);
  	if (!OidIsValid(convoid))
  		ereport(ERROR,
--- 298,304 ----
  	*(str + len) = '\0';
  
  	/* Look up the conversion name */
! 	parsed_name = textToQualifiedNameList(conv_name);
  	convoid = FindConversionByName(parsed_name);
  	if (!OidIsValid(convoid))
  		ereport(ERROR,
diff -cr pgsql_head/src/backend/commands/sequence.c pgsql_args/src/backend/commands/sequence.c
*** pgsql_head/src/backend/commands/sequence.c	2005-05-25 22:17:34.000000000 -0500
--- pgsql_args/src/backend/commands/sequence.c	2005-05-25 22:26:35.000000000 -0500
***************
*** 387,394 ****
  				rescnt = 0;
  	bool		logit = false;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin,
! 															 "nextval"));
  
  	/* open and AccessShareLock sequence */
  	init_sequence(sequence, &elm, &seqrel);
--- 387,393 ----
  				rescnt = 0;
  	bool		logit = false;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin));
  
  	/* open and AccessShareLock sequence */
  	init_sequence(sequence, &elm, &seqrel);
***************
*** 579,586 ****
  	Relation	seqrel;
  	int64		result;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin,
! 															 "currval"));
  
  	/* open and AccessShareLock sequence */
  	init_sequence(sequence, &elm, &seqrel);
--- 578,584 ----
  	Relation	seqrel;
  	int64		result;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin));
  
  	/* open and AccessShareLock sequence */
  	init_sequence(sequence, &elm, &seqrel);
***************
*** 715,722 ****
  	int64		next = PG_GETARG_INT64(1);
  	RangeVar   *sequence;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin,
! 															  "setval"));
  
  	do_setval(sequence, next, true);
  
--- 713,719 ----
  	int64		next = PG_GETARG_INT64(1);
  	RangeVar   *sequence;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin));
  
  	do_setval(sequence, next, true);
  
***************
*** 735,742 ****
  	bool		iscalled = PG_GETARG_BOOL(2);
  	RangeVar   *sequence;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin,
! 															  "setval"));
  
  	do_setval(sequence, next, iscalled);
  
--- 732,738 ----
  	bool		iscalled = PG_GETARG_BOOL(2);
  	RangeVar   *sequence;
  
! 	sequence = makeRangeVarFromNameList(textToQualifiedNameList(seqin));
  
  	do_setval(sequence, next, iscalled);
  
diff -cr pgsql_head/src/backend/utils/adt/acl.c pgsql_args/src/backend/utils/adt/acl.c
*** pgsql_head/src/backend/utils/adt/acl.c	2005-05-25 22:17:38.000000000 -0500
--- pgsql_args/src/backend/utils/adt/acl.c	2005-05-25 22:25:18.000000000 -0500
***************
*** 1425,1432 ****
  {
  	RangeVar   *relrv;
  
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(tablename,
! 												 "has_table_privilege"));
  
  	return RangeVarGetRelid(relrv, false);
  }
--- 1425,1431 ----
  {
  	RangeVar   *relrv;
  
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(tablename));
  
  	return RangeVarGetRelid(relrv, false);
  }
diff -cr pgsql_head/src/backend/utils/adt/not_in.c pgsql_args/src/backend/utils/adt/not_in.c
*** pgsql_head/src/backend/utils/adt/not_in.c	2005-05-25 22:17:38.000000000 -0500
--- pgsql_args/src/backend/utils/adt/not_in.c	2005-05-25 22:28:05.000000000 -0500
***************
*** 56,62 ****
  
  	/* Parse the argument */
  
! 	names = textToQualifiedNameList(relation_and_attr, "int4notin");
  	nnames = list_length(names);
  	if (nnames < 2)
  		ereport(ERROR,
--- 56,62 ----
  
  	/* Parse the argument */
  
! 	names = textToQualifiedNameList(relation_and_attr);
  	nnames = list_length(names);
  	if (nnames < 2)
  		ereport(ERROR,
diff -cr pgsql_head/src/backend/utils/adt/ruleutils.c pgsql_args/src/backend/utils/adt/ruleutils.c
*** pgsql_head/src/backend/utils/adt/ruleutils.c	2005-05-25 22:17:38.000000000 -0500
--- pgsql_args/src/backend/utils/adt/ruleutils.c	2005-05-25 22:29:18.000000000 -0500
***************
*** 349,356 ****
  	RangeVar   *viewrel;
  	Oid			viewoid;
  
! 	viewrel = makeRangeVarFromNameList(textToQualifiedNameList(viewname,
! 														 "get_viewdef"));
  	viewoid = RangeVarGetRelid(viewrel, false);
  
  	PG_RETURN_TEXT_P(string_to_text(pg_get_viewdef_worker(viewoid, 0)));
--- 349,355 ----
  	RangeVar   *viewrel;
  	Oid			viewoid;
  
! 	viewrel = makeRangeVarFromNameList(textToQualifiedNameList(viewname));
  	viewoid = RangeVarGetRelid(viewrel, false);
  
  	PG_RETURN_TEXT_P(string_to_text(pg_get_viewdef_worker(viewoid, 0)));
***************
*** 368,375 ****
  	Oid			viewoid;
  
  	prettyFlags = pretty ? PRETTYFLAG_PAREN | PRETTYFLAG_INDENT : 0;
! 	viewrel = makeRangeVarFromNameList(textToQualifiedNameList(viewname,
! 														 "get_viewdef"));
  	viewoid = RangeVarGetRelid(viewrel, false);
  
  	PG_RETURN_TEXT_P(string_to_text(pg_get_viewdef_worker(viewoid, prettyFlags)));
--- 367,373 ----
  	Oid			viewoid;
  
  	prettyFlags = pretty ? PRETTYFLAG_PAREN | PRETTYFLAG_INDENT : 0;
! 	viewrel = makeRangeVarFromNameList(textToQualifiedNameList(viewname));
  	viewoid = RangeVarGetRelid(viewrel, false);
  
  	PG_RETURN_TEXT_P(string_to_text(pg_get_viewdef_worker(viewoid, prettyFlags)));
***************
*** 1252,1259 ****
  	HeapTuple	tup;
  
  	/* Get the OID of the table */
! 	tablerv = makeRangeVarFromNameList(textToQualifiedNameList(tablename,
! 											  "pg_get_serial_sequence"));
  	tableOid = RangeVarGetRelid(tablerv, false);
  
  	/* Get the number of the column */
--- 1250,1256 ----
  	HeapTuple	tup;
  
  	/* Get the OID of the table */
! 	tablerv = makeRangeVarFromNameList(textToQualifiedNameList(tablename));
  	tableOid = RangeVarGetRelid(tablerv, false);
  
  	/* Get the number of the column */
diff -cr pgsql_head/src/backend/utils/adt/tid.c pgsql_args/src/backend/utils/adt/tid.c
*** pgsql_head/src/backend/utils/adt/tid.c	2005-05-25 22:17:38.000000000 -0500
--- pgsql_args/src/backend/utils/adt/tid.c	2005-05-25 22:29:43.000000000 -0500
***************
*** 302,309 ****
  	RangeVar   *relrv;
  	Relation	rel;
  
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(relname,
! 												   "currtid_byrelname"));
  	rel = heap_openrv(relrv, AccessShareLock);
  	if (rel->rd_rel->relkind == RELKIND_VIEW)
  		return currtid_for_view(rel, tid);
--- 302,308 ----
  	RangeVar   *relrv;
  	Relation	rel;
  
! 	relrv = makeRangeVarFromNameList(textToQualifiedNameList(relname));
  	rel = heap_openrv(relrv, AccessShareLock);
  	if (rel->rd_rel->relkind == RELKIND_VIEW)
  		return currtid_for_view(rel, tid);
diff -cr pgsql_head/src/backend/utils/adt/varlena.c pgsql_args/src/backend/utils/adt/varlena.c
*** pgsql_head/src/backend/utils/adt/varlena.c	2005-05-25 22:17:38.000000000 -0500
--- pgsql_args/src/backend/utils/adt/varlena.c	2005-05-25 22:30:26.000000000 -0500
***************
*** 1618,1624 ****
   * truncate names if they're too long.
   */
  List *
! textToQualifiedNameList(text *textval, const char *caller)
  {
  	char	   *rawname;
  	List	   *result = NIL;
--- 1618,1624 ----
   * truncate names if they're too long.
   */
  List *
! textToQualifiedNameList(text *textval)
  {
  	char	   *rawname;
  	List	   *result = NIL;
diff -cr pgsql_head/src/include/utils/builtins.h pgsql_args/src/include/utils/builtins.h
*** pgsql_head/src/include/utils/builtins.h	2005-05-25 22:17:23.000000000 -0500
--- pgsql_args/src/include/utils/builtins.h	2005-05-25 22:30:55.000000000 -0500
***************
*** 562,568 ****
  extern Datum name_text(PG_FUNCTION_ARGS);
  extern Datum text_name(PG_FUNCTION_ARGS);
  extern int	varstr_cmp(char *arg1, int len1, char *arg2, int len2);
! extern List *textToQualifiedNameList(text *textval, const char *caller);
  extern bool SplitIdentifierString(char *rawstring, char separator,
  					  List **namelist);
  extern Datum replace_text(PG_FUNCTION_ARGS);
--- 562,568 ----
  extern Datum name_text(PG_FUNCTION_ARGS);
  extern Datum text_name(PG_FUNCTION_ARGS);
  extern int	varstr_cmp(char *arg1, int len1, char *arg2, int len2);
! extern List *textToQualifiedNameList(text *textval);
  extern bool SplitIdentifierString(char *rawstring, char separator,
  					  List **namelist);
  extern Datum replace_text(PG_FUNCTION_ARGS);
